Bug 214084

Summary: [ Mac wk2 and iOS wk2 ] webrtc/libwebrtc/descriptionGetters.html is flaky failing.
Product: WebKit Reporter: Jason Lawrence <Lawrence.j>
Component: WebRTCAssignee: Nobody <webkit-unassigned>
Status: NEW ---    
Severity: Normal CC: Jenner, webkit-bot-watchers-bugzilla, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   

Description Jason Lawrence 2020-07-08 08:39:24 PDT
webrtc/libwebrtc/descriptionGetters.html

Description:
This test is flaky failing on iOS wk2 Release and Mac wk2 Release. The flaky failures first appear in the visual history on 5/5/2020.

History:
https://results.webkit.org/?suite=layout-tests&test=webrtc%2Flibwebrtc%2FdescriptionGetters.html&style=release&limit=50000

Diff:
--- /Volumes/Data/slave/ios-simulator-13-release-tests-wk2/build/layout-test-results/webrtc/libwebrtc/descriptionGetters-expected.txt
+++ /Volumes/Data/slave/ios-simulator-13-release-tests-wk2/build/layout-test-results/webrtc/libwebrtc/descriptionGetters-actual.txt
@@ -1,3 +1,3 @@
 
-PASS description getters when changing description from video to video & data channel 
+FAIL description getters when changing description from video to video & data channel assert_equals: test 7 expected "v=0\r\no=- 1958704411338307050 2 IN IP4 127.0.0.1\r\ns=-\r\nt=0 0\r\na=group:BUNDLE 0\r\na=msid-semantic: WMS c97082c9-e42d-47ee-9554-daf835be7b3a\r\nm=video 60556 UDP/TLS/RTP/SAVPF 96 97 98 99 100 101 127 125 104 124 106 107 108\r\nc=IN IP4 10.49.194.152\r\na=rtcp:9 IN IP4 0.0.0.0\r\na=candidate:189541399 1 udp 2113937151 10.49.194.152 60556 typ host generation 0 network-cost 999\r\na=ice-ufrag:Ld/+\r\na=ice-pwd:zeCQVL38mjCwidAR+2J1Tt7Z\r\na=ice-options:trickle\r\na=fingerprint:sha-256 E3:5C:22:06:F3:D4:84:EE:63:89:52:F7:7F:F5:AE:A7:54:57:E2:AF:1C:97:26:75:47:E4:6D:2A:CD:D5:F8:9A\r\na=setup:actpass\r\na=mid:0\r\na=extmap:14 urn:ietf:params:rtp-hdrext:toffset\r\na=extmap:2 http://www.webrtc.org/experiments/rtp-hdrext/abs-send-time\r\na=extmap:13 urn:3gpp:video-orientation\r\na=extmap:3 http://www.ietf.org/id/draft-holmer-rmcat-transport-wide-cc-extensions-01\r\na=extmap:12 http://www.webrtc.org/experiments/rtp-hdrext/playout-delay\r\na=extmap:11 http://www.webrtc.org/experiments/rtp-hdrext/video-content-type\r\na=extmap:7 http://www.webrtc.org/experiments/rtp-hdrext/video-timing\r\na=extmap:8 http://tools.ietf.org/html/draft-ietf-avtext-framemarking-07\r\na=extmap:9 http://www.webrtc.org/experiments/rtp-hdrext/color-space\r\na=extmap:4 urn:ietf:params:rtp-hdrext:sdes:mid\r\na=extmap:5 urn:ietf:params:rtp-hdrext:sdes:rtp-stream-id\r\na=extmap:6 urn:ietf:params:rtp-hdrext:sdes:repaired-rtp-stream-id\r\na=sendrecv\r\na=msid:c97082c9-e42d-47ee-9554-daf835be7b3a 849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=rtcp-mux\r\na=rtcp-rsize\r\na=rtpmap:96 H264/90000\r\na=rtcp-fb:96 goog-remb\r\na=rtcp-fb:96 transport-cc\r\na=rtcp-fb:96 ccm fir\r\na=rtcp-fb:96 nack\r\na=rtcp-fb:96 nack pli\r\na=fmtp:96 level-asymmetry-allowed=1;packetization-mode=1;profile-level-id=640c1f\r\na=rtpmap:97 rtx/90000\r\na=fmtp:97 apt=96\r\na=rtpmap:98 H264/90000\r\na=rtcp-fb:98 goog-remb\r\na=rtcp-fb:98 transport-cc\r\na=rtcp-fb:98 ccm fir\r\na=rtcp-fb:98 nack\r\na=rtcp-fb:98 nack pli\r\na=fmtp:98 level-asymmetry-allowed=1;packetization-mode=1;profile-level-id=42e01f\r\na=rtpmap:99 rtx/90000\r\na=fmtp:99 apt=98\r\na=rtpmap:100 H265/90000\r\na=rtcp-fb:100 goog-remb\r\na=rtcp-fb:100 transport-cc\r\na=rtcp-fb:100 ccm fir\r\na=rtcp-fb:100 nack\r\na=rtcp-fb:100 nack pli\r\na=rtpmap:101 rtx/90000\r\na=fmtp:101 apt=100\r\na=rtpmap:127 VP8/90000\r\na=rtcp-fb:127 goog-remb\r\na=rtcp-fb:127 transport-cc\r\na=rtcp-fb:127 ccm fir\r\na=rtcp-fb:127 nack\r\na=rtcp-fb:127 nack pli\r\na=rtpmap:125 rtx/90000\r\na=fmtp:125 apt=127\r\na=rtpmap:104 VP9/90000\r\na=rtcp-fb:104 goog-remb\r\na=rtcp-fb:104 transport-cc\r\na=rtcp-fb:104 ccm fir\r\na=rtcp-fb:104 nack\r\na=rtcp-fb:104 nack pli\r\na=rtpmap:124 rtx/90000\r\na=fmtp:124 apt=104\r\na=rtpmap:106 red/90000\r\na=rtpmap:107 rtx/90000\r\na=fmtp:107 apt=106\r\na=rtpmap:108 ulpfec/90000\r\na=ssrc-group:FID 985949778 3380592903\r\na=ssrc:985949778 cname:0rq0XhJFYi7w5Egt\r\na=ssrc:985949778 msid:c97082c9-e42d-47ee-9554-daf835be7b3a 849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=ssrc:985949778 mslabel:c97082c9-e42d-47ee-9554-daf835be7b3a\r\na=ssrc:985949778 label:849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=ssrc:3380592903 cname:0rq0XhJFYi7w5Egt\r\na=ssrc:3380592903 msid:c97082c9-e42d-47ee-9554-daf835be7b3a 849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=ssrc:3380592903 mslabel:c97082c9-e42d-47ee-9554-daf835be7b3a\r\na=ssrc:3380592903 label:849e748b-7c03-4b5e-9231-dd28a863dba0\r\n" but got "v=0\r\no=- 1958704411338307050 2 IN IP4 127.0.0.1\r\ns=-\r\nt=0 0\r\na=group:BUNDLE 0\r\na=msid-semantic: WMS c97082c9-e42d-47ee-9554-daf835be7b3a\r\nm=video 9 UDP/TLS/RTP/SAVPF 96 97 98 99 100 101 127 125 104 124 106 107 108\r\nc=IN IP4 0.0.0.0\r\na=rtcp:9 IN IP4 0.0.0.0\r\na=ice-ufrag:Ld/+\r\na=ice-pwd:zeCQVL38mjCwidAR+2J1Tt7Z\r\na=ice-options:trickle\r\na=fingerprint:sha-256 E3:5C:22:06:F3:D4:84:EE:63:89:52:F7:7F:F5:AE:A7:54:57:E2:AF:1C:97:26:75:47:E4:6D:2A:CD:D5:F8:9A\r\na=setup:actpass\r\na=mid:0\r\na=extmap:14 urn:ietf:params:rtp-hdrext:toffset\r\na=extmap:2 http://www.webrtc.org/experiments/rtp-hdrext/abs-send-time\r\na=extmap:13 urn:3gpp:video-orientation\r\na=extmap:3 http://www.ietf.org/id/draft-holmer-rmcat-transport-wide-cc-extensions-01\r\na=extmap:12 http://www.webrtc.org/experiments/rtp-hdrext/playout-delay\r\na=extmap:11 http://www.webrtc.org/experiments/rtp-hdrext/video-content-type\r\na=extmap:7 http://www.webrtc.org/experiments/rtp-hdrext/video-timing\r\na=extmap:8 http://tools.ietf.org/html/draft-ietf-avtext-framemarking-07\r\na=extmap:9 http://www.webrtc.org/experiments/rtp-hdrext/color-space\r\na=extmap:4 urn:ietf:params:rtp-hdrext:sdes:mid\r\na=extmap:5 urn:ietf:params:rtp-hdrext:sdes:rtp-stream-id\r\na=extmap:6 urn:ietf:params:rtp-hdrext:sdes:repaired-rtp-stream-id\r\na=sendrecv\r\na=msid:c97082c9-e42d-47ee-9554-daf835be7b3a 849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=rtcp-mux\r\na=rtcp-rsize\r\na=rtpmap:96 H264/90000\r\na=rtcp-fb:96 goog-remb\r\na=rtcp-fb:96 transport-cc\r\na=rtcp-fb:96 ccm fir\r\na=rtcp-fb:96 nack\r\na=rtcp-fb:96 nack pli\r\na=fmtp:96 level-asymmetry-allowed=1;packetization-mode=1;profile-level-id=640c1f\r\na=rtpmap:97 rtx/90000\r\na=fmtp:97 apt=96\r\na=rtpmap:98 H264/90000\r\na=rtcp-fb:98 goog-remb\r\na=rtcp-fb:98 transport-cc\r\na=rtcp-fb:98 ccm fir\r\na=rtcp-fb:98 nack\r\na=rtcp-fb:98 nack pli\r\na=fmtp:98 level-asymmetry-allowed=1;packetization-mode=1;profile-level-id=42e01f\r\na=rtpmap:99 rtx/90000\r\na=fmtp:99 apt=98\r\na=rtpmap:100 H265/90000\r\na=rtcp-fb:100 goog-remb\r\na=rtcp-fb:100 transport-cc\r\na=rtcp-fb:100 ccm fir\r\na=rtcp-fb:100 nack\r\na=rtcp-fb:100 nack pli\r\na=rtpmap:101 rtx/90000\r\na=fmtp:101 apt=100\r\na=rtpmap:127 VP8/90000\r\na=rtcp-fb:127 goog-remb\r\na=rtcp-fb:127 transport-cc\r\na=rtcp-fb:127 ccm fir\r\na=rtcp-fb:127 nack\r\na=rtcp-fb:127 nack pli\r\na=rtpmap:125 rtx/90000\r\na=fmtp:125 apt=127\r\na=rtpmap:104 VP9/90000\r\na=rtcp-fb:104 goog-remb\r\na=rtcp-fb:104 transport-cc\r\na=rtcp-fb:104 ccm fir\r\na=rtcp-fb:104 nack\r\na=rtcp-fb:104 nack pli\r\na=rtpmap:124 rtx/90000\r\na=fmtp:124 apt=104\r\na=rtpmap:106 red/90000\r\na=rtpmap:107 rtx/90000\r\na=fmtp:107 apt=106\r\na=rtpmap:108 ulpfec/90000\r\na=ssrc-group:FID 985949778 3380592903\r\na=ssrc:985949778 cname:0rq0XhJFYi7w5Egt\r\na=ssrc:985949778 msid:c97082c9-e42d-47ee-9554-daf835be7b3a 849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=ssrc:985949778 mslabel:c97082c9-e42d-47ee-9554-daf835be7b3a\r\na=ssrc:985949778 label:849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=ssrc:3380592903 cname:0rq0XhJFYi7w5Egt\r\na=ssrc:3380592903 msid:c97082c9-e42d-47ee-9554-daf835be7b3a 849e748b-7c03-4b5e-9231-dd28a863dba0\r\na=ssrc:3380592903 mslabel:c97082c9-e42d-47ee-9554-daf835be7b3a\r\na=ssrc:3380592903 label:849e748b-7c03-4b5e-9231-dd28a863dba0\r\n"
Comment 1 Radar WebKit Bug Importer 2020-07-08 08:39:49 PDT
<rdar://problem/65225336>
Comment 2 Jason Lawrence 2020-07-08 08:48:49 PDT
I have marked this test as flaky failing while this issue is investigated.
https://trac.webkit.org/changeset/264100/webkit
Comment 3 Robert Jenner 2021-03-30 16:05:24 PDT
This test continues to be flakey, and has also been failing in debug builds now for a while as well. Updated the prior test expectations to include debug builds as well, and updated bug title:

https://trac.webkit.org/changeset/275245/webkit